%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                              %
%  CERN Report class (single contribution)                     %
%                                                              %
%  2.0  (03/08/2005)  MG                                       %
%    - Divide cernyrep.cls into cernall.sty and CERN Report    %
%      class cernyrep.cls (new)                                %
%  2.01 (04/12/2005)  MG                                       %
%    - Introduce mtpro option to install Mathtime fonts        %
%  2.02 (15/12/2005)  MG                                       %
%    - Base cernrep.cls on report.cls (like cernyrep.cls)      %
%                                                              %
%  Last Mod.: 15 December 2005 (MG)                            %
%                                                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\fileversion{2.02}  
\def\filedate{2005/12/15}
\def\docdate {2005/12/15}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cernrep}%
    [\filedate\space cernrep class (version\space\fileversion)]

% Set flag for MathTime usage
\providecommand*\CERNMTPRO{n}
\DeclareOption{mtpro}{\renewcommand{\CERNMTPRO}{y}}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
 
\LoadClass[a4paper,11pt]{report}

%% Load MathTime support files if mtpro option given

\RequirePackage{ifthen,calc}

\ifthenelse{\equal{\CERNMTPRO}{y}}
 {\usepackage[mtplusscr]{mtpro}
  \usepackage[]{mtpams}
  \usepackage[mtpcal]{mtpb}}
 {}

%%% Specifics for single contributions for CERN reports

%% Common definitions

\RequirePackage{cernall}
\RequirePackage{cernunits}

%%% Text font : Times Roman
\renewcommand{\rmdefault}{ptm}
\pagestyle{plain}
 
\typeout{Document Class `cernrep' \fileversion\quad(\filedate)}

\endinput
